# 运行模式 (RELEASE,DEBUG)
run_mode : DEBUG

# tcp 监听端口
tcp_port : 6532

# websocket监听端口
ws_port : 8181

# 超时时间
timeout : 10

# 版本（内网用9，外网用10）
version : 9

# 是否接收来自命令行的命令
open_cmdline : true

# 最大并发请求数量
max_concurrent_request : 1000

# 大厅相关配置
hall :
  # 显示配置大厅地址，国际版或者测试大厅地址    
  ip : 39.97.189.150
  # 显示配置大厅端口，0则使用自动分配的端口
  port : [9201]
  # 当前登录服所管理的大厅列表
  ids : [4202-4204]
  # 获取大厅配置地址
  ip_group_url : https://ds-system.xinyuesite.com/api/ipGroup?id=%d&format=json
  # 小游戏对外proxy地址
  mini_game_agent :
    0 : 'wss://vhall1.xinyuesite.com'
  # 为心悦测试用户分配的大厅ip
  xy_test_ip :
  # 为心悦测试用户分配的大厅port
  xy_test_port :

# 品牌信息
brand :
  id : 3
  tag : xinyue
  domain : xinyuesite.com
  name : 心悦
  client : 16384
  tel :
  pfx : XY_

# 中央服务器配置
center :
  ip : 10.40.115.152
  port : 6501 
  timeout : 10
  password :

# redis配置，存储微信登录用到的app info
wechat_app_info_redis :								             
  addr : r-2zed56d6b1cddcb4.redis.rds.aliyuncs.com:6379
  password : weiLeJXreDis2017
  db : 8
  pool_size : 10
  pool_timeout : 30
  
# redis配置，存储第三方session key、账号登录验证密码失败次数、用户权重
business_redis :
  addr : r-2zed56d6b1cddcb4.redis.rds.aliyuncs.com:6379
  password : weiLeJXreDis2017
  db : 16
  pool_size : 10
  poolTimeout : 30
  
# kafka配置
kafka : 
  topic : "login2"
  brokers :
    - 10.30.253.150:9092
    - 10.30.253.149:9092
    - 10.30.253.148:9092

# 赠送配置
reg_give :
  ext :
    # 豆豆
    15 : 0
    # 礼券
    16 : 0
    # 钻石
    17 : 10
    # 房卡
    258 : 0
    # 脸盆
    272 : 0
    # 锤子
    273 : 0
    # 机关枪
    276 : 0
    # 记牌器
    411 : 0
  # 不赠送的渠道
  disabled :
    - 424_200

# 短信验证码
sms :
  # 短信验证码有效期
  expire : 300
  # 短信验证码重复发送间隔
  interval : 60
  # 短信验证码每日限制
  daily_limit : 20
  # 短信验证码5分钟限制
  ten_min_limit : 5

# oss配置
alioss :
  bucket : xy-avatar-file
  access_key : LTAI4Fkkdg43AbEEhjaESiBy
  access_secret : GK8AtezIg0dDzDfzp3lWO0Iu5NmFhw
  domain : avatarfile.xinyuesite.com
  document :

# yunfan配置
yunfan :
  nacos_namespaceid: "4cf48e53-dab4-410f-bab3-641c8bfdc2ab"
  nacos_ip: "mse-b7dbfee2-nacos-ans.mse.aliyuncs.com"
  nacos_port: 8848
  app_name: "login_test"


# 日志配置，debug, info, warn, error
log :
  file :
  level : debug

# 熔断器配置
circuitbreaker :
  # 由open状态转入halfopen状态的恢复时间（单位：毫秒）
  retry_timeout : 5000
  # 触发熔断器的最少请求数量
  min_request_account : 1
  # 统计间隔（单位：毫秒
  stat_interval : 3000
  # 慢请求阀值，超过将触发熔断
  max_slow_request_ratio : 0.1
  # 最大rt，超过则为慢请求(单位：毫秒)
  max_allow_rt : 5000
  # 失败请求比例，超过则触发熔断
  max_error_ratio : 0.1

# 普罗米修斯配置
prometheus :
  open : false
  namespace : "default"
  subsystem : "login"

# 游客登录配置，0表示启动游客登录；-1表示关闭游客登录；[appid1，appid2]表示appid1与appid2允许游客登录
allow_guest_login : [-1]

# 敏感词字典路径
dictionary_url : https://file.weile.com/dict/badwords.txt

# 部署类型，0-app，1-小游戏
deploy_type : 1

alidayu :
  key : "23684505"
  secret : "56cce9c217e76b87c985ffd905782f56"
  product : "心悦游戏"
  template : "SMS_53775002"
  sign : "心悦游戏"
